Subject: bug#44773: guix pull does not support transformation options but claims to

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 21 Nov 2020 19:35:44 +0100

On Sat, Nov 21, 2020 at 12:43:29PM +0100, Ludovic Courtès wrote:
> Hi,
> 
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
> 
> > Running `guix pull --help-transform' displays all the usual
> > transformation options, but when I try to use any, it reports an
> > unrecognized option.
> 
> Oops, fixed in e79ecff045094a75226439a6284306475a2f907e.  I’ll
> cherry-pick it in ‘version-1.2.0’.

Thank you!

> Are substitutes for GLib missing?
> 
> Thanks,
> Ludo’.

They are missing on armhf-linux (maybe for months, I am not sure).
guix weather glib shows no substitutes.  I believed it was because of
the getdents issue (bug 44773), I had not followed the mails; other
packages (gnupg for example) have substitutes though.

Regards,
Florian